---
http_interactions:
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Aluno
    body:
      encoding: UTF-8
      string: resource=errado&oper=post&access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC&instituicao_id=1
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '126'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 30 Apr 2018 21:31:29 GMT
      Server:
      - Apache
      Set-Cookie:
      - PHPSESSID=dj8jdpmhjoo2coi3ai8flmedj0; expires=Tue, 01-May-2018 21:31:29 GMT;
        path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate, post-check=0, pre-check=0
      Pragma:
      - no-cache
      Content-Length:
      - '162'
      Content-Type:
      - application/json; charset=UTF-8
    body:
      encoding: UTF-8
      string: '{"oper":"post","resource":"errado","msgs":[{"msg":"Opera\u00e7\u00e3o
        ''post'' n\u00e3o implementada para o recurso ''errado''","type":"error"}],"any_error_msg":true}'
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:01:22 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Aluno?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&oper=post&resource=errado&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 10 Jul 2018 17:10:36 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=aood3aiedhqca44putffiear72; path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAzWNPQrDMAyFryK0eMkQ6FDIJXKAtgSRiBKoLSPZQwi5exS3XYTex/vZUTIrDpjFCnaobFJ1ZiesSos4i/Y2HB779TgfPUDP2vd8b/cmEK50gPTXa8wfjpwKLQSZlEBAea5q7v32Bi8uW/4NieLx6pDSNjU1tamilY8TwL4itaIAAAA=
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:18:00 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&oper=post&resource=errado&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: ASCII-8BIT
      string: ''
    headers:
      Accept:
      - "*/*; q=0.5, application/xml"
      Accept-Encoding:
      - gzip, deflate
      Content-Length:
      - '0'
      Content-Type:
      - application/x-www-form-urlencoded
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Tue, 10 Jul 2018 18:23:59 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - PHPSESSID=o63ingnjss9coi3d5n2rdki612; path=/
      Expires:
      - Thu, 19 Nov 1981 08:52:00 GMT
      Cache-Control:
      - no-store, no-cache, must-revalidate
      Pragma:
      - no-cache
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAzWNPQrDMAyFryK0eMkQ6FDIJXKAtgSRiBKoLSPZQwi5exS3XYTex/vZUTIrDpjFCnaobFJ1ZiesSos4i/Y2HB779TgfPUDP2vd8b/cmEK50gPTXa8wfjpwKLQSZlEBAea5q7v32Bi8uW/4NieLx6pDSNjU1tamilY8TwL4itaIAAAA=
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:30:07 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&instituicao_id=1&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: UTF-8
      string: resource=errado&oper=post
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.4.10p364
      Content-Length:
      - '25'
      Content-Type:
      - application/x-www-form-urlencoded
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - nginx
      Date:
      - Sat, 25 Jun 2022 05:16:51 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=6x3fbGKTAEIPzS4PX0TyK4jJgnsd1gzU7OPKYRZy; expires=Sat, 25-Jun-2022
        07:16:51 GMT; Max-Age=7200; path=/; httponly; samesite=lax
      X-Frame-Options:
      - SAMEORIGIN
      X-Content-Type-Options:
      - nosniff
      X-Xss-Protection:
      - 1; mode=block
      Content-Encoding:
      - gzip
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAy2MwQqDMBBEfyXdswd79epntEUWM6jQZsNuIojk302Dt5nHmzlJIpQGimKJOlKYZJ1RCVTZS2U/W4yG1/kPlY8r73AejmeYidvC/s59j+d38/yofjrivRel8umIwzG1NrWHpBnlAmuchap5AAAA
    http_version: 
  recorded_at: Wed, 01 Mar 2017 03:01:01 GMT
- request:
    method: post
    uri: https://test.ieducar.com.br/module/Api/Diario?access_key=8IOwGIjiHvbeTklgwo10yVLgwDhhvs&action=errado&instituicao_id=1&secret_key=5y8cfq31oGvFdAlGMCLIeSKdfc8pUC
    body:
      encoding: UTF-8
      string: resource=errado&oper=post
    headers:
      Accept:
      - "*/*"
      Accept-Encoding:
      - gzip, deflate
      User-Agent:
      - rest-client/2.0.2 (linux-gnu x86_64) ruby/2.6.6p146
      Content-Length:
      - '25'
      Content-Type:
      - application/x-www-form-urlencoded
      Host:
      - test.ieducar.com.br
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Mon, 24 Feb 2025 15:28:35 GMT
      Content-Type:
      - application/json; charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Cache-Control:
      - no-cache, private
      Set-Cookie:
      - i_educar_session=H1VC4V2VQoUbuazSQpm9hDILE4GsRTrx1Db6CDHt; expires=Mon, 24
        Feb 2025 17:28:35 GMT; Max-Age=7200; path=/; secure; httponly; samesite=lax
      Content-Encoding:
      - gzip
      Strict-Transport-Security:
      - max-age=63072000
      Cf-Cache-Status:
      - DYNAMIC
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v4?s=JZvaU1YYAad8An0uqdnlqwzCdltcXmBvLYVTGquMo91Q6VBDj5zSJ7MO7ZAC3L8R9LR%2BmSOavcWvjDk4G6hs%2Fv5aomZsmVBIfjULKznfxAZp%2BCfubyl49pDU0kIbxRgtnnt600xD"}],"group":"cf-nel","max_age":604800}'
      Nel:
      - '{"success_fraction":0,"report_to":"cf-nel","max_age":604800}'
      Expect-Ct:
      - max-age=86400, enforce
      Referrer-Policy:
      - same-origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
      Server:
      - cloudflare
      Cf-Ray:
      - 91707c7c1f141acb-GRU
      Alt-Svc:
      - h3=":443"; ma=86400
      Server-Timing:
      - cfL4;desc="?proto=TCP&rtt=17609&min_rtt=17172&rtt_var=5138&sent=5&recv=7&lost=0&retrans=0&sent_bytes=2800&recv_bytes=1017&delivery_rate=160882&cwnd=250&unsent_bytes=0&cid=19dfb8830dcad004&ts=494&x=0"
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        H4sIAAAAAAAAAy2MwQqDMBBEfyXdswd79epntEUWM6jQZsNuIojk302Dt5nHmzlJIpQGimKJOlKYZJ1RCVTZS2U/W4yG1/kPlY8r73AejmeYidvC/s59j+d38/yofjrivRel8umIwzG1NrWHpBnlAmuchap5AAAA
    http_version: 
  recorded_at: Wed, 01 Mar 2017 00:00:43 GMT
recorded_with: VCR 3.0.0
